<?php
namespace PerProduct\Api\Endpoints;

class Load_Rules_Endpoint extends Abstract_Endpoint
{

	public function callback( $data )
	{
		$rules = get_option(self::PER_PRODUCT_RULES_KEY);
		foreach ($rules as $key => $rule) {
			if (isset($rule['variation']) && intval($rule['variation']) > 0) {
				$_product = wc_get_product(intval($rule['variation']));
				$rules[$key]['variation_name'] = $this->get_variation_name($_product);
			}
		}
		return ['rules' => $rules];
	}

	public function action()
	{
		return 'per_product_load_rules';
	}

	/**
	 * @param WC_Product $_product
	 *
	 * @return string
	 */
	private function get_variation_name( $_product )
	{
		$_product_name = $_product->get_name();
		$_product_name = explode('-', $_product_name);
		array_splice($_product_name, 0, 1);
		return trim(implode('', $_product_name));
	}
}
