<?php

namespace PerProduct\Api\Endpoints;

class Sort_Rules_Endpoint extends Abstract_Endpoint {

	public function callback( $data )
	{
		if (!isset($data['rules'])) {
			$this->abort('[rules] field is required');
		}

		if (!is_array($data['rules'])) {
			$this->abort('[rules] must be an array');
		}

		// @todo find a better solution to sort the rules.
		update_option(self::PER_PRODUCT_RULES_KEY, $data['rules']);

		$this->ok();
	}

	public function action()
	{
		return 'per_product_sort_rules';
	}
}
